//
//
#ifndef Define_h
#define Define_h
//
#include <Arduino.h>
//
#define SerialPC Serial
//
//----------------------------------------
//  Pin-Table
//----------------------------------------
const int PIN_LEDSYSTEM         =  2;
//
const int PIN_SWITCH_LIMITHIGH  = 35;
const int PIN_SWITCH_REFERENCE  = 34;
const int PIN_SWITCH_LIMITLOW   = 36;
//
const int PIN_MOTOR_STEP        = 25;
const int PIN_MOTOR_DIRECTION   = 26;
const int PIN_MOTOR_PRECISIONM0 = 12;
const int PIN_MOTOR_PRECISIONM1 = 14;
const int PIN_MOTOR_PRECISIONM2 = 27;
const int PIN_MOTOR_ENABLEN     = 13;
//
//----------------------------------------
//  Constant
//----------------------------------------
const long unsigned STEPPERIOD_NORMAL_US    =  1400;
const long unsigned STEPPERIOD_LIMIT_US     =  9000;
const long unsigned STEPCOUNT_FULL          = 99000;
const long unsigned MILLIS_IDLE             =  1000;
//
const long unsigned DELAY_BOUNCE_MS         = 100;  
//
#endif // Define_h
